Skip to main content
PUT
/
v3
/
style_rules
/
{style_id}
/
configured_rules
Replace configured rules for a style rule list
curl --request PUT \
  --url https://api.deepl.com/v3/style_rules/{style_id}/configured_rules \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dates_and_times": {
    "calendar_era": "use_bc_and_ad"
  },
  "punctuation": {
    "periods_in_academic_degrees": "do_not_use"
  }
}
'
{
  "style_id": "bd0a38f3-1831-440b-a8dd-2c702e2325ab",
  "name": "<string>",
  "creation_time": "2023-11-07T05:31:56Z",
  "updated_time": "2023-11-07T05:31:56Z",
  "language": "de",
  "version": 13,
  "configured_rules": {
    "style_and_tone": {
      "abbreviations": "use_abbreviations_and_symbols",
      "short_vs_long_words": "use_short_words"
    },
    "punctuation": {
      "apostrophe": "use_curly_apostrophes"
    }
  },
  "custom_instructions": [
    {
      "id": "68fdb803-c013-4e67-b62e-1aad0ab519cd",
      "label": "Currency custom instruction",
      "prompt": "Have currency symbols before the numerical value (e.g. $100, €100)",
      "source_language": "en"
    }
  ]
}

Authorizations

Authorization
string
header
required

Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>

Path Parameters

style_id
string
required

The ID of the style rule list

Body

application/json

The enabled rules for the style rule list including what option was selected for each rule. This schema combines rules from all supported languages.

dates_and_times
object
formatting
object
numbers
object
punctuation
object
spelling_and_grammar
object
style_and_tone
object
vocabulary
object

Response

Configured rules updated successfully

style_id
string
required

A unique ID assigned to a style rule.

Example:

"bd0a38f3-1831-440b-a8dd-2c702e2325ab"

name
string
required

Name associated with the style rule.

creation_time
string<date-time>
required

The creation time of the style rule in the ISO 8601-1:2019 format (e.g.: 2021-08-03T14:16:18.329Z).

updated_time
string<date-time>
required

The time of the style rule when it was last updated in the ISO 8601-1:2019 format (e.g.: 2022-08-03T14:16:18.329Z).

language
enum<string>
required

The language that the style rules are applied to.

Available options:
de,
en,
es,
fr,
it,
ja,
ko,
zh
version
integer
required

The version of the style rule. Incremented when the style rule is updated.

Example:

13

configured_rules
object

The enabled rules for the style rule list including what option was selected for each rule. This schema combines rules from all supported languages.

Example:
{
"style_and_tone": {
"abbreviations": "use_abbreviations_and_symbols",
"short_vs_long_words": "use_short_words"
},
"punctuation": { "apostrophe": "use_curly_apostrophes" }
}
custom_instructions
object[]

List of custom instructions enabled for the style rule list.